# dockerporter

一个可以将`images.yaml`清单中的多个来源的镜像标签构建为多平台镜像并推送到一个指定仓库的工具。

## 环境依赖

- docker
- docker buildx
- go (1.23+)

## 用法

### 用go编码运行

```sh
go run main.go
```

### 无go环境使用

```sh
./main
```

## 问题

如果`images.yaml`清单中的镜像tag过多的话，有可能会遇到429报错：

```text
429 Too Many Requests - Server message: toomanyrequests: You have reached your pull rate limit. You may increase the limit by authenticating and upgrading: https://www.docker.com/increase-rate-limit
```

## 已知缺陷

- 如果构建失败的话，在日志文件中只会看到`exit code 1`，但不会看到控制台输出的内容。
